---
jobs:
  - name: job
    public: true
    plan:
      - task: task1
        config:
          platform: linux
          image_resource:
            type: registry-image
            source: { repository: busybox }
          run:
            path: sh
            args:
            - -exc
            - |
              echo "Hello, world!" > greeting.txt
              cat greeting.txt
              cp greeting.txt some-files
          outputs:
          - name: some-files
      - task: task2
        config:
          platform: linux
          image_resource:
            type: registry-image
            source: { repository: busybox }
          inputs:
            - name: some-files
          run:
            path: sh
            args:
            - -exc
            - |
              cd some-files
              cat greeting.txt
